using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Practices
{
    /// <summary>
    /// 练习记录
    /// </summary>
    [Description("练习记录")]
    public class PracticeRecordDto : IAddRequest
    {
        /// <summary>
        /// 练习Id
        /// </summary>
        [Description("练习Id")]
        public string PracticeId { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 练习时间
        /// </summary>
        [Description("练习时间")]
        public DateTime PracticeTime { get; set; }
    }
}
